Name:           perl-HTTP-Message
Version:        6.18
Release:        1%{?org_tag}%{?dist}
Summary:        HTTP style message (base class)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-Message/
Source0:        http://localhost/cpan//authors/id/G/GA/GAAS/HTTP-Message-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008008
BuildRequires:  perl(Compress::Raw::Zlib)
BuildRequires:  perl(Encode) >= 2.21
BuildRequires:  perl(Encode::Locale) >= 1
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTTP::Date) >= 6
BuildRequires:  perl(IO::Compress::Bzip2) >= 2.021
BuildRequires:  perl(IO::Compress::Deflate)
BuildRequires:  perl(IO::Compress::Gzip)
BuildRequires:  perl(IO::HTML)
BuildRequires:  perl(IO::Uncompress::Bunzip2) >= 2.021
BuildRequires:  perl(IO::Uncompress::Gunzip)
BuildRequires:  perl(IO::Uncompress::Inflate)
BuildRequires:  perl(IO::Uncompress::RawInflate)
BuildRequires:  perl(LWP::MediaTypes) >= 6
BuildRequires:  perl(URI) >= 1.10
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(CPAN::Meta) >= 2.120900
BuildRequires:  perl(JSON::PP) >= 2.27300
Requires:       perl(Compress::Raw::Zlib)
Requires:       perl(Encode) >= 2.21
Requires:       perl(Encode::Locale) >= 1
Requires:       perl(HTTP::Date) >= 6
Requires:       perl(IO::Compress::Bzip2) >= 2.021
Requires:       perl(IO::Compress::Deflate)
Requires:       perl(IO::Compress::Gzip)
Requires:       perl(IO::HTML)
Requires:       perl(IO::Uncompress::Bunzip2) >= 2.021
Requires:       perl(IO::Uncompress::Gunzip)
Requires:       perl(IO::Uncompress::Inflate)
Requires:       perl(IO::Uncompress::RawInflate)
Requires:       perl(LWP::MediaTypes) >= 6
Requires:       perl(URI) >= 1.10
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no

%description
An HTTP::Message object contains some headers and a content body. The
following methods are available:

%prep
%setup -q -n HTTP-Message-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTORS CONTRIBUTING.md LICENSE README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Mar 29 2019 Gavin Carr <gavin@openfusion.com.au> 6.18-1
- Update to version 6.18.

* Tue Jul 22 2014 Gavin Carr <gavin@openfusion.com.au> 6.06-1
- Update to version 6.06.

* Sat Jun 18 2011 Gavin Carr <gavin@openfusion.com.au> 6.02-1
- Specfile autogenerated by cpanspec 1.79.
